Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.code
Class ExpansionKeyListener

    java.lang.Object
      java.awt.event.KeyAdapter
          edu.stanford.smi.protegex.owl.ui.code.ExpansionKeyListener

All Implemented Interfaces:
  KeyListener, EventListener

    public class ExpansionKeyListener

extends KeyAdapter

A key listener that can be used for auto-completion. Usage:
`classNameTextField.addKeyListener(new ExpansionKeyListener(classNameTextField, owlModel));`
The default expansion key is Ctrl + Space. To change the default expansion key, override the `isExpansionEvent(KeyEvent)` method.

Constructor Summary
`ExpansionKeyListener(JTextComponent textComponent, OWLModel owlModel)`

Method Summary
`protected boolean` | `isExpansionEvent(KeyEvent e)`
`void` | `keyPressed(KeyEvent e)`
`protected void` | `replacetText(RDFResource resource)`

Methods inherited from class java.awt.event.KeyAdapter
`keyReleased, keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpansionKeyListener

    public ExpansionKeyListener(JTextComponent textComponent,
                                OWLModel owlModel)

Method Detail

### keyPressed

    public void keyPressed(KeyEvent e)

  Specified by:
    `keyPressed` in interface `KeyListener`
  Overrides:
    `keyPressed` in class `KeyAdapter`

### isExpansionEvent

    protected boolean isExpansionEvent(KeyEvent e)

### replacetText

    protected void replacetText(RDFResource resource)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.